package com.goldenwater.slaj.hazard.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.goldenwater.slaj.hazard.domain.ObjHazard;

/**
 * 危险源 数据层
 */
@Mapper
public interface ObjHazardMapper {

    ObjHazard selectObjHazardByGuid(String guid);

    List<ObjHazard> selectObjHazardList(ObjHazard objHazard);

    int insertObjHazard(ObjHazard objHazard);

    int updateObjHazard(ObjHazard objHazard);

    int deleteObjHazardByGuid(String guid);

    int deleteObjHazardByGuids(String[] guids);
}
